This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Logging&Audit

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Logging&Audit service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionStatusNot Before
1.1CURRENT-
1.0DEPRECATED20260223

OpenAPI URL

https://loggingaudit.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - CreateTrail

1.1.1 - 1.1

post /v1/trails

Description

create a trail

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

TrailCreateRequestV1dot1

Responses

HTTP CodeDescriptionSchema
201CreatedTrailShowResponseV1dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/trails

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.1"

Request body

{
    "account_id": "ACCOUNT_ID-ABCDEF1234",
    "bucket_name": "TestBucket00",
    "bucket_region": "RegionOne",
    "iam_role_id": "IAM_ROLE_ID-ABCDEF1234",
    "log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
    "log_group_name": "/scp/loggingaudit/trail/trailname-log-group-20260205120000",
    "log_type_total_yn": "N",
    "log_verification_yn": "N",
    "organization_trail_yn": "N",
    "region_names": [],
    "region_total_yn": "Y",
    "resource_type_total_yn": "Y",
    "service_watch_yn": "Y",
    "tag_create_requests": [
        {
            "key": "11",
            "value": "22"
        }
    ],
    "target_log_types": [],
    "target_resource_types": [],
    "target_users": [],
    "trail_description": "This is a test trail",
    "trail_name": "TestTrail01",
    "trail_save_type": "JSON",
    "user_total_yn": "Y"
}

Example HTTP response

Response 201

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "iam_role_id": "IAM_ROLE_ID-ABCDEF1234",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
        "log_group_name": "/scp/loggingaudit/trail/trailname-log-group-20260205120000",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "organization_trail_yn": "Y",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "service_watch_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2026-02-26T07:00:00Z",
        "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2026-02-26T07:00:00Z",
        "trail_batch_success_at": "2026-02-26T07:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}

1.1.2 - 1.0

post /v1/trails

Description

create a trail

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Responses

HTTP CodeDescriptionSchema
201CreatedTrailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/trails

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"

Example HTTP response

Response 201

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2026-02-26T07:00:00Z",
        "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2026-02-26T07:00:00Z",
        "trail_batch_success_at": "2026-02-26T07:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}

1.2 - DeleteTrail

1.2.1 - 1.1

delete /v1/trails/{trail_id}

Description

delete a specific trail

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
204No ContentNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.1"

Example HTTP response

Response 202

1.2.2 - 1.0

delete /v1/trails/{trail_id}

Description

delete a specific trail

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
204No ContentNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"

Example HTTP response

Response 202

1.3 - DownloadLogs

1.3.1 - 1.1

post /v1/logs/download

Description

download log file

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LogDownloadRequest

Responses

HTTP CodeDescriptionSchema
200OKLogDownloadResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/logs/download

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.1"

Request body

{
    "end_at": "2026-02-26T08:00:00Z",
    "file_type": "JSON",
    "product_name": "",
    "region": "",
    "resource_name": "",
    "resource_type": "",
    "root_resource_id": "",
    "start_at": "2025-11-28T08:00:00Z",
    "status": "",
    "time_zone_info": "Asia/Seoul",
    "user_name": ""
}

Example HTTP response

Response 200

{
    "file": [
        {
            "EventTopic": "",
            "RegionName": "",
            "ResourceId": "",
            "ResourceName": "",
            "ResourceType": "",
            "WorkInfo": "",
            "WorkResult": "",
            "WorkTime": "",
            "WorkerEmail": "",
            "WorkerID": "",
            "WorkerName": ""
        }
    ]
}

1.3.2 - 1.0

post /v1/logs/download

Description

download log file

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LogDownloadRequest

Responses

HTTP CodeDescriptionSchema
200OKLogDownloadResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/logs/download

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"

Request body

{
    "end_at": "2026-02-26T08:00:00Z",
    "file_type": "JSON",
    "product_name": "",
    "region": "",
    "resource_name": "",
    "resource_type": "",
    "root_resource_id": "",
    "start_at": "2025-11-28T08:00:00Z",
    "status": "",
    "time_zone_info": "Asia/Seoul",
    "user_name": ""
}

Example HTTP response

Response 200

{
    "file": [
        {
            "EventTopic": "",
            "RegionName": "",
            "ResourceId": "",
            "ResourceName": "",
            "ResourceType": "",
            "WorkInfo": "",
            "WorkResult": "",
            "WorkTime": "",
            "WorkerEmail": "",
            "WorkerID": "",
            "WorkerName": ""
        }
    ]
}

1.4 - ListLogs

1.4.1 - 1.1

get /v1/logs

Description

get log list

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querystart_at
required
Query start date
Example : 2025-11-28T08:00:00Z
any of [string, null]None
queryend_at
required
Query finish date
Example : 2026-02-26T08:00:00Z
any of [string, null]None
queryresource_id
optional
Resource ID
Example :
any of [string, null]None
queryresource_name
optional
Resource name
Example :
any of [string, null]None
queryresource_type
optional
Resource type
Example :
any of [string, null]None
queryproduct_name
optional
Product name
Example :
any of [string, null]None
queryproduct_type
optional
Product type
Example :
any of [string, null]None
querystatus
optional
Task result
Example :
any of [string, null]None
queryevent_type
optional
Event type
Example :
any of [string, null]None
queryuser_id
optional
User ID
Example :
any of [string, null]None
queryuser_name
optional
Username
Example :
any of [string, null]None
queryregion
optional
Region name
Example :
any of [string, null]None
queryroot_resource_id
optional
Root resource ID
Example :
any of [string, null]None
queryservice_type
optional
Service type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/logs?start_at={start_at}&end_at={end_at}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "logs": [
        {
            "account_id": "ACCOUNT_ID-ABCDEF1234",
            "event_name": "scp-extension.event.create",
            "event_type": "scp-extension.event.create",
            "id": "ID-A1B2C3D4E5F6G7H8I9J0",
            "product_name": "scp-extension",
            "product_type": "scp-extension",
            "region": "RegionOne",
            "request_user_name": "Hong Gildong",
            "resource_id": "RESOURCE_ID-ABCDEF1234",
            "resource_name": "RESOURCE_NAME-ABCDEF1234",
            "resource_type": "scp-extension",
            "role_name": "Tester",
            "status": "Success",
            "timestamp": "2026-02-26T08:00:00Z",
            "type": "ROLE",
            "user_id": "USER_ID-ABCDEF1234"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.4.2 - 1.0

get /v1/logs

Description

get log list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querystart_at
required
Query start date
Example : 2025-11-28T08:00:00Z
any of [string, null]None
queryend_at
required
Query finish date
Example : 2026-02-26T08:00:00Z
any of [string, null]None
queryresource_id
optional
Resource ID
Example :
any of [string, null]None
queryresource_name
optional
Resource name
Example :
any of [string, null]None
queryresource_type
optional
Resource type
Example :
any of [string, null]None
queryproduct_name
optional
Product name
Example :
any of [string, null]None
queryproduct_type
optional
Product type
Example :
any of [string, null]None
querystatus
optional
Task result
Example :
any of [string, null]None
queryevent_type
optional
Event type
Example :
any of [string, null]None
queryuser_id
optional
User ID
Example :
any of [string, null]None
queryuser_name
optional
Username
Example :
any of [string, null]None
queryregion
optional
Region name
Example :
any of [string, null]None
queryroot_resource_id
optional
Root resource ID
Example :
any of [string, null]None
queryservice_type
optional
Service type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/logs?start_at={start_at}&end_at={end_at}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "logs": [
        {
            "account_id": "ACCOUNT_ID-ABCDEF1234",
            "event_name": "scp-extension.event.create",
            "event_type": "scp-extension.event.create",
            "id": "ID-A1B2C3D4E5F6G7H8I9J0",
            "product_name": "scp-extension",
            "product_type": "scp-extension",
            "region": "RegionOne",
            "request_user_name": "Hong Gildong",
            "resource_id": "RESOURCE_ID-ABCDEF1234",
            "resource_name": "RESOURCE_NAME-ABCDEF1234",
            "resource_type": "scp-extension",
            "role_name": "Tester",
            "status": "Success",
            "timestamp": "2026-02-26T08:00:00Z",
            "type": "ROLE",
            "user_id": "USER_ID-ABCDEF1234"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.5 - ListTrails

1.5.1 - 1.1

get /v1/trails

Description

get trails list

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querytrail_name
optional
Trail name
Example :
any of [string, null]None
querybucket_name
optional
Bucket name
Example :
any of [string, null]None
querystate
optional
Trail state
Example :
any of [string, null]None
queryresource_type
optional
Resource type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTrailListResponseV1dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "trails": [
        {
            "account_id": "ACCOUNT_ID-ABCDEF1234",
            "account_name": "Test Account",
            "bucket_name": "Bucket001",
            "bucket_region": "RegionOne",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "created_user_id": "kim.samsung@samsung.com",
            "del_yn": "N",
            "iam_role_id": "IAM_ROLE_ID-ABCDEF1234",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
            "log_group_name": "/scp/loggingaudit/trail/trailname-log-group-20260205120000",
            "log_type_total_yn": "Y",
            "log_verification_yn": "N",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "organization_trail_yn": "Y",
            "region_names": [],
            "region_total_yn": "Y",
            "resource_type_total_yn": "Y",
            "service_watch_yn": "Y",
            "state": "ACTIVE",
            "target_log_types": [],
            "target_resource_types": [],
            "target_users": [],
            "trail_batch_end_at": "2026-02-26T07:00:00Z",
            "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
            "trail_batch_last_state": "success",
            "trail_batch_start_at": "2026-02-26T07:00:00Z",
            "trail_batch_success_at": "2026-02-26T07:00:00Z",
            "trail_description": "test trail",
            "trail_name": "Trail-0001",
            "trail_save_type": "JSON",
            "user_total_yn": "Y"
        }
    ]
}

1.5.2 - 1.0

get /v1/trails

Description

get trails list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querytrail_name
optional
Trail name
Example :
any of [string, null]None
querybucket_name
optional
Bucket name
Example :
any of [string, null]None
querystate
optional
Trail state
Example :
any of [string, null]None
queryresource_type
optional
Resource type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTrailListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "trails": [
        {
            "account_id": "ACCOUNT_ID-ABCDEF1234",
            "account_name": "Test Account",
            "bucket_name": "Bucket001",
            "bucket_region": "RegionOne",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "created_user_id": "kim.samsung@samsung.com",
            "del_yn": "N",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "log_type_total_yn": "Y",
            "log_verification_yn": "N",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "region_names": [],
            "region_total_yn": "Y",
            "resource_type_total_yn": "Y",
            "state": "ACTIVE",
            "target_log_types": [],
            "target_resource_types": [],
            "target_users": [],
            "trail_batch_end_at": "2026-02-26T07:00:00Z",
            "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
            "trail_batch_last_state": "success",
            "trail_batch_start_at": "2026-02-26T07:00:00Z",
            "trail_batch_success_at": "2026-02-26T07:00:00Z",
            "trail_description": "test trail",
            "trail_name": "Trail-0001",
            "trail_save_type": "JSON",
            "user_total_yn": "Y"
        }
    ]
}

1.6 - SetTrail

1.6.1 - 1.1

put /v1/trails/{trail_id}

Description

set a specific trail

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None
bodybody
required

TrailSetRequestV1dot1

Responses

HTTP CodeDescriptionSchema
202AcceptedTrailShowResponseV1dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.1"

Request body

{
    "iam_role_id": "IAM_ROLE_ID-ABCDEF1234",
    "log_group_name": "/scp/loggingaudit/trail/trailname-log-group-20260205120000",
    "log_type_total_yn": "N",
    "log_verification_yn": "N",
    "organization_trail_yn": "Y",
    "region_names": [],
    "region_total_yn": "Y",
    "resource_type_total_yn": "Y",
    "service_watch_yn": "Y",
    "target_log_types": [],
    "target_resource_types": [],
    "target_users": [],
    "trail_description": "This is a test trail",
    "trail_save_type": "JSON",
    "user_total_yn": "Y"
}

Example HTTP response

Response 202

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "iam_role_id": "IAM_ROLE_ID-ABCDEF1234",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
        "log_group_name": "/scp/loggingaudit/trail/trailname-log-group-20260205120000",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "organization_trail_yn": "Y",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "service_watch_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2026-02-26T07:00:00Z",
        "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2026-02-26T07:00:00Z",
        "trail_batch_success_at": "2026-02-26T07:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}

1.6.2 - 1.0

put /v1/trails/{trail_id}

Description

set a specific trail

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None
bodybody
required

TrailSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTrailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"

Request body

{
    "log_type_total_yn": "N",
    "log_verification_yn": "N",
    "region_names": [],
    "region_total_yn": "Y",
    "resource_type_total_yn": "Y",
    "target_log_types": [],
    "target_resource_types": [],
    "target_users": [],
    "trail_description": "This is a test trail",
    "trail_save_type": "JSON",
    "user_total_yn": "Y"
}

Example HTTP response

Response 202

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2026-02-26T07:00:00Z",
        "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2026-02-26T07:00:00Z",
        "trail_batch_success_at": "2026-02-26T07:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}

1.7 - ShowLog

1.7.1 - 1.1

get /v1/logs/{logging_id}

Description

show a specific log

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathlogging_id
required
Log ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/logs/{logging_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.1"

Example HTTP response

Response 200

{
    "log": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "details": "",
        "event_name": "scp-extension.event.create",
        "event_type": "scp-extension.event.create",
        "id": "ID-A1B2C3D4E5F6G7H8I9J0",
        "product_name": "scp-extension",
        "product_type": "scp-extension",
        "region": "RegionOne",
        "request_user_name": "Hong Gildong",
        "resource_id": "RESOURCE_ID-ABCDEF1234",
        "resource_name": "RESOURCE_NAME-ABCDEF1234",
        "resource_type": "scp-extension",
        "role_name": "Tester",
        "status": "Success",
        "timestamp": "2026-02-26T08:00:00Z",
        "type": "ROLE",
        "user_id": "USER_ID-ABCDEF1234"
    }
}

1.7.2 - 1.0

get /v1/logs/{logging_id}

Description

show a specific log

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathlogging_id
required
Log ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/logs/{logging_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"

Example HTTP response

Response 200

{
    "log": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "details": "",
        "event_name": "scp-extension.event.create",
        "event_type": "scp-extension.event.create",
        "id": "ID-A1B2C3D4E5F6G7H8I9J0",
        "product_name": "scp-extension",
        "product_type": "scp-extension",
        "region": "RegionOne",
        "request_user_name": "Hong Gildong",
        "resource_id": "RESOURCE_ID-ABCDEF1234",
        "resource_name": "RESOURCE_NAME-ABCDEF1234",
        "resource_type": "scp-extension",
        "role_name": "Tester",
        "status": "Success",
        "timestamp": "2026-02-26T08:00:00Z",
        "type": "ROLE",
        "user_id": "USER_ID-ABCDEF1234"
    }
}

1.8 - ShowTrail

1.8.1 - 1.1

get /v1/trails/{trail_id}

Description

show a specific trail

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTrailShowResponseV1dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.1"

Example HTTP response

Response 200

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "iam_role_id": "IAM_ROLE_ID-ABCDEF1234",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
        "log_group_name": "/scp/loggingaudit/trail/trailname-log-group-20260205120000",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "organization_trail_yn": "Y",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "service_watch_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2026-02-26T07:00:00Z",
        "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2026-02-26T07:00:00Z",
        "trail_batch_success_at": "2026-02-26T07:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}

1.8.2 - 1.0

get /v1/trails/{trail_id}

Description

show a specific trail

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTrailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"

Example HTTP response

Response 200

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2026-02-26T07:00:00Z",
        "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2026-02-26T07:00:00Z",
        "trail_batch_success_at": "2026-02-26T07:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}

1.9 - StartTrail

1.9.1 - 1.1

post /v1/trails/{trail_id}/start

Description

start a specific trail

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTrailShowResponseV1dot1
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.1"

Example HTTP response

Response 200

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "iam_role_id": "IAM_ROLE_ID-ABCDEF1234",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
        "log_group_name": "/scp/loggingaudit/trail/trailname-log-group-20260205120000",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "organization_trail_yn": "Y",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "service_watch_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2026-02-26T07:00:00Z",
        "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2026-02-26T07:00:00Z",
        "trail_batch_success_at": "2026-02-26T07:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}

1.9.2 - 1.0

post /v1/trails/{trail_id}/start

Description

start a specific trail

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTrailShowResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"

Example HTTP response

Response 200

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2026-02-26T07:00:00Z",
        "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2026-02-26T07:00:00Z",
        "trail_batch_success_at": "2026-02-26T07:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}

1.10 - StopTrail

1.10.1 - 1.1

post /v1/trails/{trail_id}/stop

Description

stop a specific trail

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTrailShowResponseV1dot1
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.1"

Example HTTP response

Response 200

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "iam_role_id": "IAM_ROLE_ID-ABCDEF1234",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
        "log_group_name": "/scp/loggingaudit/trail/trailname-log-group-20260205120000",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "organization_trail_yn": "Y",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "service_watch_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2026-02-26T07:00:00Z",
        "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2026-02-26T07:00:00Z",
        "trail_batch_success_at": "2026-02-26T07:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}

1.10.2 - 1.0

post /v1/trails/{trail_id}/stop

Description

stop a specific trail

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTrailShowResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = loggingaudit 1.0"

Example HTTP response

Response 200

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2026-02-26T07:00:00Z",
        "trail_batch_first_start_at": "2026-02-16T08:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2026-02-26T07:00:00Z",
        "trail_batch_success_at": "2026-02-26T07:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}

2 - Models

2.1 - Log

NameDescriptionSchemaDefault
account_id
optional
Account ID
Example : ACCOUNT_ID-ABCDEF1234
any of [string, null]
event_name
optional
Event name
Example : scp-extension.event.create
any of [string, null]
event_type
optional
Event type
Example : scp-extension.event.create
any of [string, null]
id
optional
Log ID
Example : ID-A1B2C3D4E5F6G7H8I9J0
any of [string, null]
product_name
optional
Product name
Example : scp-extension
any of [string, null]
product_type
optional
Product type
Example : scp-extension
any of [string, null]
region
optional
Region name
Example : RegionOne
any of [string, null]
request_user_name
optional
Username
Example : Hong Gildong
any of [string, null]
resource_id
optional
Resource ID
Example : RESOURCE_ID-ABCDEF1234
any of [string, null]
resource_name
optional
Resource name
Example : RESOURCE_NAME-ABCDEF1234
any of [string, null]
resource_type
optional
Resource type
Example : scp-extension
any of [string, null]
role_name
optional
Username
Example : Tester
any of [string, null]
status
optional
Task result
Example : Success
any of [string, null]
timestamp
optional
Timestamp
Example : 2026-02-26T08:00:00Z
any of [string, null]
type
optional
Type
Example : ROLE
any of [string, null]
user_id
optional
User ID
Example : USER_ID-ABCDEF1234
any of [string, null]

2.2 - LogDetails

NameDescriptionSchemaDefault
account_id
optional
Account ID
Example : ACCOUNT_ID-ABCDEF1234
any of [string, null]
details
optional
Audit detail contents(JSON String)
Example :
any of [object, null]
event_name
optional
Event name
Example : scp-extension.event.create
any of [string, null]
event_type
optional
Event type
Example : scp-extension.event.create
any of [string, null]
id
optional
Log ID
Example : ID-A1B2C3D4E5F6G7H8I9J0
any of [string, null]
product_name
optional
Product name
Example : scp-extension
any of [string, null]
product_type
optional
Product type
Example : scp-extension
any of [string, null]
region
optional
Region name
Example : RegionOne
any of [string, null]
request_user_name
optional
Username
Example : Hong Gildong
any of [string, null]
resource_id
optional
Resource ID
Example : RESOURCE_ID-ABCDEF1234
any of [string, null]
resource_name
optional
Resource name
Example : RESOURCE_NAME-ABCDEF1234
any of [string, null]
resource_type
optional
Resource type
Example : scp-extension
any of [string, null]
role_name
optional
Username
Example : Tester
any of [string, null]
status
optional
Task result
Example : Success
any of [string, null]
timestamp
optional
Timestamp
Example : 2026-02-26T08:00:00Z
any of [string, null]
type
optional
Type
Example : ROLE
any of [string, null]
user_id
optional
User ID
Example : USER_ID-ABCDEF1234
any of [string, null]

2.3 - LogDownloadDetailResponse

NameDescriptionSchemaDefault
EventTopic
optional
Event type
Example :
any of [string, null]
RegionName
optional
Region name
Example :
any of [string, null]
ResourceId
optional
Resource ID
Example :
any of [string, null]
ResourceName
optional
Resource name
Example :
any of [string, null]
ResourceType
optional
Resource type
Example :
any of [string, null]
WorkInfo
optional
Event name
Example :
any of [string, null]
WorkResult
optional
Task result
Example :
any of [string, null]
WorkTime
optional
Work time
Example :
any of [string, null]
WorkerEmail
optional
Worker email
Example :
any of [string, null]
WorkerID
optional
Worker ID
Example :
any of [string, null]
WorkerName
optional
Worker name
Example :
any of [string, null]

2.4 - LogDownloadRequest

NameDescriptionSchemaDefault
end_at
required
Query finish date
Example : 2026-02-26T08:00:00Z
string
file_type
required
Download file type
Example : JSON
string
product_name
optional
Product name
Example :
any of [string, null]
region
optional
Region name
Example :
any of [string, null]
resource_name
optional
Resource name
Example :
any of [string, null]
resource_type
optional
Resource type
Example :
any of [string, null]
root_resource_id
optional
Root resource ID
Example :
any of [string, null]
start_at
required
Query start date
Example : 2025-11-28T08:00:00Z
string
status
optional
Task result
Example :
any of [string, null]
time_zone_info
required
Timezone info
Example : Asia/Seoul
string
user_name
optional
Username
Example :
any of [string, null]

2.5 - LogDownloadResponse

NameDescriptionSchemaDefault
file
required

array[LogDownloadDetailResponse]

2.6 - LogListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
logs
required

array[Log]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.7 - LogShowResponse

NameDescriptionSchemaDefault
log
required

LogDetails

2.8 - Trail

NameDescriptionSchemaDefault
account_id
optional
Account ID
Example : ACCOUNT_ID-ABCDEF1234
any of [string, null]
account_name
optional
Account name
Example : Test Account
any of [string, null]
bucket_name
required
Bucket name
Example : Bucket001
string
bucket_region
required
Bucket region
Example : RegionOne
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
created_user_id
optional
Created user ID
Example : kim.samsung@samsung.com
any of [string, null]
del_yn
optional
Delete y/n
Example : N
any of [string, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
log_type_total_yn
optional
Target log type total y/n
Example : Y
any of [string, null]
log_verification_yn
optional
Log verification y/n
Example : N
any of [string, null]
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
region_names
optional
Region name list
array[object]
region_total_yn
optional
Target region total y/n
Example : Y
any of [string, null]
resource_type_total_yn
optional
Target resource type total y/n
Example : Y
any of [string, null]
state
optional
Trail state
Example : ACTIVE
any of [string, null]
target_log_types
optional
Target log type list
array[object]
target_resource_types
optional
Target resource type list
array[object]
target_users
optional
Target user list
array[object]
trail_batch_end_at
optional
Trail batch end date
Example : 2026-02-26T07:00:00Z
any of [string (date-time), null]
trail_batch_first_start_at
optional
Trail batch first start date
Example : 2026-02-16T08:00:00Z
any of [string (date-time), null]
trail_batch_last_state
optional
Trail batch last state
Example : success
any of [string, null]
trail_batch_start_at
optional
Trail batch start date
Example : 2026-02-26T07:00:00Z
any of [string (date-time), null]
trail_batch_success_at
optional
Trail batch success date
Example : 2026-02-26T07:00:00Z
any of [string (date-time), null]
trail_description
optional
Trail description
Example : test trail
any of [string, null]
trail_name
required
Trail name
Example : Trail-0001
string
trail_save_type
required
Trail save type
Example : JSON
string
user_total_yn
optional
Target user total y/n
Example : Y
any of [string, null]

2.9 - Trail1dot1

NameDescriptionSchemaDefault
account_id
optional
Account ID
Example : ACCOUNT_ID-ABCDEF1234
any of [string, null]
account_name
optional
Account name
Example : Test Account
any of [string, null]
bucket_name
required
Bucket name
Example : Bucket001
string
bucket_region
required
Bucket region
Example : RegionOne
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
created_user_id
optional
Created user ID
Example : kim.samsung@samsung.com
any of [string, null]
del_yn
optional
Delete y/n
Example : N
any of [string, null]
iam_role_id
optional
Iam Role ID
Example : IAM_ROLE_ID-ABCDEF1234
any of [string, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
log_archive_account_id
optional
Log Archive Account ID
Example : ACCOUNT_ID-ABCDEF1234
any of [string, null]
log_group_name
optional
Log Group Name
Example : /scp/loggingaudit/trail/trailname-log-group-20260205120000
any of [string, null]
log_type_total_yn
optional
Target log type total y/n
Example : Y
any of [string, null]
log_verification_yn
optional
Log verification y/n
Example : N
any of [string, null]
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
organization_trail_yn
optional
Organization trail y/n
Example : Y
any of [string, null]
region_names
optional
Region name list
array[object]
region_total_yn
optional
Target region total y/n
Example : Y
any of [string, null]
resource_type_total_yn
optional
Target resource type total y/n
Example : Y
any of [string, null]
service_watch_yn
optional
Service Watch y/n
Example : Y
any of [string, null]
state
optional
Trail state
Example : ACTIVE
any of [string, null]
target_log_types
optional
Target log type list
array[object]
target_resource_types
optional
Target resource type list
array[object]
target_users
optional
Target user list
array[object]
trail_batch_end_at
optional
Trail batch end date
Example : 2026-02-26T07:00:00Z
any of [string (date-time), null]
trail_batch_first_start_at
optional
Trail batch first start date
Example : 2026-02-16T08:00:00Z
any of [string (date-time), null]
trail_batch_last_state
optional
Trail batch last state
Example : success
any of [string, null]
trail_batch_start_at
optional
Trail batch start date
Example : 2026-02-26T07:00:00Z
any of [string (date-time), null]
trail_batch_success_at
optional
Trail batch success date
Example : 2026-02-26T07:00:00Z
any of [string (date-time), null]
trail_description
optional
Trail description
Example : test trail
any of [string, null]
trail_name
required
Trail name
Example : Trail-0001
string
trail_save_type
required
Trail save type
Example : JSON
string
user_total_yn
optional
Target user total y/n
Example : Y
any of [string, null]

2.10 - TrailCreateRequestV1dot1

NameDescriptionSchemaDefault
account_id
required
Account ID
Example : ACCOUNT_ID-ABCDEF1234
string
bucket_name
required
Bucket name
Example : TestBucket00
Minimum length : 1
string
bucket_region
required
Bucket region
Example : RegionOne
Minimum length : 1
string
iam_role_id
optional
Iam Role ID. Only for Service Watch Trail.(service_watch_yn = Y)
Example : IAM_ROLE_ID-ABCDEF1234
any of [string, null]
log_archive_account_id
optional
Log Archive Account ID. Only for Organization Trail.(organization_trail_yn = y)
Example : ACCOUNT_ID-ABCDEF1234
any of [string, null]
log_group_name
optional
Log Group Name. Only for Service Watch Trail.(service_watch_yn = Y)
Example : /scp/loggingaudit/trail/trailname-log-group-20260205120000
any of [string, null]
log_type_total_yn
optional
Target log type total y/n
Example : N
any of [string, null]
log_verification_yn
optional
Log verification y/n
Example : N
any of [string, null]N
organization_trail_yn
optional
Organization trail y/n
Example : N
any of [string, null]N
region_names
optional
Region name list
array[object]
region_total_yn
optional
Target region total y/n
Example : Y
any of [string, null]Y
resource_type_total_yn
optional
Target resource type total y/n
Example : Y
any of [string, null]Y
service_watch_yn
optional
Service Watch y/n
Example : Y
any of [string, null]
tag_create_requests
optional
Tag create requests
Example : [{'key': '11', 'value': '22'}]
any of [array[object[string]], null]
target_log_types
optional
Target log type list
array[object]
target_resource_types
optional
Target resource type list
array[object]
target_users
optional
Target user list
array[object]
trail_description
optional
Trail description
Example : This is a test trail
any of [string, null]
trail_name
required
Trail name
Example : TestTrail01
Pattern : ^[a-zA-Z0-9\-ㄱ-ㅎㅏ-ㅣ가-힣\s]*$
Minimum length : 5
Maximum length : 26
string
trail_save_type
required
Trail save type
Example : JSON
Pattern : ^(CSV|JSON)$
Minimum length : 1
string
user_total_yn
optional
Target user total y/n
Example : Y
any of [string, null]Y

2.11 - TrailListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]
trails
required

array[Trail]

2.12 - TrailListResponseV1dot1

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]
trails
required

array[Trail1dot1]

2.13 - TrailSetRequest

NameDescriptionSchemaDefault
log_type_total_yn
optional
Target log type total y/n
Example : N
any of [string, null]
log_verification_yn
optional
Log verification y/n
Example : N
any of [string, null]
region_names
optional
Region name list
Example :
any of [array[object], null]
region_total_yn
optional
Target region total y/n
Example : Y
any of [string, null]
resource_type_total_yn
optional
Target resource type total y/n
Example : Y
any of [string, null]
target_log_types
optional
Target log type list
Example :
any of [array[object], null]
target_resource_types
optional
Target resource type list
Example :
any of [array[object], null]
target_users
optional
Target user list
Example :
any of [array[object], null]
trail_description
optional
Trail description
Example : This is a test trail
any of [string, null]
trail_save_type
optional
Trail save type
Example : JSON
Pattern : ^(CSV|JSON)$
any of [string, null]
user_total_yn
optional
Target user total y/n
Example : Y
any of [string, null]

2.14 - TrailSetRequestV1dot1

NameDescriptionSchemaDefault
iam_role_id
optional
Iam Role ID
Example : IAM_ROLE_ID-ABCDEF1234
any of [string, null]
log_group_name
optional
Log Group Name
Example : /scp/loggingaudit/trail/trailname-log-group-20260205120000
any of [string, null]
log_type_total_yn
optional
Target log type total y/n
Example : N
any of [string, null]
log_verification_yn
optional
Log verification y/n
Example : N
any of [string, null]
organization_trail_yn
optional
Organization trail y/n
Example : Y
any of [string, null]
region_names
optional
Region name list
Example :
any of [array[object], null]
region_total_yn
optional
Target region total y/n
Example : Y
any of [string, null]
resource_type_total_yn
optional
Target resource type total y/n
Example : Y
any of [string, null]
service_watch_yn
optional
Service Watch y/n
Example : Y
any of [string, null]
target_log_types
optional
Target log type list
Example :
any of [array[object], null]
target_resource_types
optional
Target resource type list
Example :
any of [array[object], null]
target_users
optional
Target user list
Example :
any of [array[object], null]
trail_description
optional
Trail description
Example : This is a test trail
any of [string, null]
trail_save_type
optional
Trail save type
Example : JSON
Pattern : ^(CSV|JSON)$
any of [string, null]
user_total_yn
optional
Target user total y/n
Example : Y
any of [string, null]

2.15 - TrailShowResponse

NameDescriptionSchemaDefault
trail
required

Trail

2.16 - TrailShowResponseV1dot1

NameDescriptionSchemaDefault
trail
required

Trail1dot1